classification
Title: Change necessary in platform.py to support IronPython
Type: behavior Stage: resolved
Components: Library (Lib), Windows Versions: Python 2.7, 3rd party
process
Status: closed Resolution: duplicate
Dependencies: Superseder: platform._sys_version does not parse correctly IronPython 2.x version
View: 8964
Assigned To: Nosy List: BreamoreBoy, brian.curtin, dino.viehland, icordasc, jeff.hardy, lemburg, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2013-05-16 14:24 by icordasc, last changed 2018-03-25 23:22 by cheryl.sabella. This issue is now closed.

Messages (3)
msg189383 - (view) Author: Ian Cordasco (icordasc) * Date: 2013-05-16 14:24
Stemming from a StackOverflow question[1] and a conversation with Marc-Andre Lemburg via email, I'm filing this issue without any easy way of confirming it myself.

It seems that the logic in platform.python_implementation() has been obsoleted by a change made in IronPython. As it is now, it checks that the slice, sys.version[:10], is "IronPython". Seemingly due to a change in IronPython, this no longer is a correct condition for checking that the implementation is IronPython.

I'm trying to work with the question author on StackOverflow to provide the relevant debugging information to fix this, but it is taking a while to get responses. Without his repr(sys.version) I can't submit a patch with this issue.

I've also only tagged Python 2.7 since I have no way of knowing if this occurs with Python 3.x or anything earlier.

[1]: http://stackoverflow.com/questions/16545027/ironpython-error-in-url-request?noredirect=1#comment23828551_16545027
msg218749 - (view) Author: Ian Cordasco (icordasc) * Date: 2014-05-18 17:58
I missed the fact that the user gave me the information from sys.version: https://stackoverflow.com/questions/16545027/ironpython-error-in-url-request?noredirect=1#comment23847257_16545027

I'll throw together a failing test with this and run it against 2.7, and the 3.x branches.
msg233274 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-01-01 02:49
Cpython was changed via #8964 to handle this situation.
History
Date User Action Args
2018-03-25 23:22:51cheryl.sabellasetstatus: open -> closed
superseder: platform._sys_version does not parse correctly IronPython 2.x version
resolution: duplicate
stage: test needed -> resolved
2015-01-01 02:49:39BreamoreBoysetnosy: + tim.golden, BreamoreBoy, zach.ware, steve.dower
messages: + msg233274
2014-05-18 17:58:57icordascsetmessages: + msg218749
2013-05-20 18:31:22jeff.hardysetnosy: + jeff.hardy
2013-05-16 14:52:55pitrousetnosy: + dino.viehland
2013-05-16 14:41:35brian.curtinsetnosy: + brian.curtin

type: behavior
stage: test needed
2013-05-16 14:24:45icordasccreate